package com.bonus.core.common.thirdutils.alipay.model;

import io.swagger.annotations.ApiModelProperty;

public class AlipayReq {
   @ApiModelProperty("授权token")
   private String alipayAppAuthToken;
   @ApiModelProperty("支付宝异步通知接收服务地址")
   private String alipayNotifyUrl;
   @ApiModelProperty("支付宝公钥")
   private String aliPayPublicKey;
   @ApiModelProperty("支付宝接口内容加密方式")
   private String alipayAesKey;
   @ApiModelProperty("支付宝封闭场景——机构编码")
   private String orgOutId;
   @ApiModelProperty("支付宝封闭场景——组件编码")
   private String componentOutId;

   public AlipayReq(String alipayAppAuthToken, String alipayNotifyUrl, String aliPayPublicKey, String alipayAesKey) {
      this.alipayAppAuthToken = alipayAppAuthToken;
      this.alipayNotifyUrl = alipayNotifyUrl;
      this.aliPayPublicKey = aliPayPublicKey;
      this.alipayAesKey = alipayAesKey;
   }

   public String getAlipayAppAuthToken() {
      return this.alipayAppAuthToken;
   }

   public String getAlipayNotifyUrl() {
      return this.alipayNotifyUrl;
   }

   public String getAliPayPublicKey() {
      return this.aliPayPublicKey;
   }

   public String getAlipayAesKey() {
      return this.alipayAesKey;
   }

   public String getOrgOutId() {
      return this.orgOutId;
   }

   public String getComponentOutId() {
      return this.componentOutId;
   }

   public AlipayReq setAlipayAppAuthToken(final String alipayAppAuthToken) {
      this.alipayAppAuthToken = alipayAppAuthToken;
      return this;
   }

   public AlipayReq setAlipayNotifyUrl(final String alipayNotifyUrl) {
      this.alipayNotifyUrl = alipayNotifyUrl;
      return this;
   }

   public AlipayReq setAliPayPublicKey(final String aliPayPublicKey) {
      this.aliPayPublicKey = aliPayPublicKey;
      return this;
   }

   public AlipayReq setAlipayAesKey(final String alipayAesKey) {
      this.alipayAesKey = alipayAesKey;
      return this;
   }

   public AlipayReq setOrgOutId(final String orgOutId) {
      this.orgOutId = orgOutId;
      return this;
   }

   public AlipayReq setComponentOutId(final String componentOutId) {
      this.componentOutId = componentOutId;
      return this;
   }

   public AlipayReq() {
   }
}
